aboutsummaryrefslogtreecommitdiffstats
path: root/packageinstall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packageinstall.sh')
-rw-r--r--packageinstall.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/packageinstall.sh b/packageinstall.sh
index 88876ac..78e2cdd 100644
--- a/packageinstall.sh
+++ b/packageinstall.sh
@@ -3,7 +3,7 @@
CHAPTER="$1"
PACKAGE="$2"
-if ! grep "^${PACKAGE}" packages.csv; then
+if ! grep -q "^${PACKAGE}" packages.csv; then
printf "%b" " ${IRED}PACKAGE ${IYLW}${PACKAGE} ${IRED}DOES NOT EXIST!${RST}\n"
exit 1
fi
@@ -18,9 +18,6 @@ else
CACHEFILE="$(basename "${URL}")"
DIRNAME="$(tar -tf "${CACHEFILE}" | sed -e 's@/.*@@' | uniq)"
- echo $NAME
- exit 1
-
# Remove existing if exists
rm -rf "${DIRNAME}"